"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.auth = void 0;
const querystring_1 = __importDefault(require("querystring"));
const bentWrapper_1 = __importDefault(require("./bentWrapper"));
const getJson = (0, bentWrapper_1.default)();
function auth(clientId, secretId, domain) {
    return __awaiter(this, void 0, void 0, function* () {
        const params = {
            'grant_type': 'client_credentials',
            'client_id': clientId,
            'client_secret': secretId
        };
        const paramsString = querystring_1.default.encode(params);
        const url = `https://oauth.${domain}/api/v1/token?${paramsString}`;
        const response = yield getJson(url);
        return response['access_token'];
    });
}
exports.auth = auth;
