"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.excludePaths = void 0;
const VALID_DOMAINS = [
    'codio.com',
    'codio.co.uk',
    'codiodev.com',
    'test1-codio.com',
    'test2-codio.com',
    'codio.test'
];
class Config {
    constructor() {
        this.domain = 'codio.com';
        this.token = null;
    }
    setDomain(domain) {
        if (!VALID_DOMAINS.includes(domain)) {
            throw new Error('Invalid Domain');
        }
        this.domain = domain;
    }
    setToken(token) {
        this.token = token;
    }
    getToken() {
        if (this.token === null) {
            throw new Error('Not authenticated');
        }
        return this.token;
    }
    getDomain() {
        return this.domain;
    }
}
const config = new Config();
exports.default = config;
exports.excludePaths = [];
