export declare type StackVersion = {
    id: string;
    changelog: string;
    date: Date;
};
export declare type Stack = {
    id: string;
    name: string;
    short_description: string;
    long_description: string;
    owner: string;
    owner_type: string;
    versions: StackVersion[];
    installations: number;
};
export declare function info(stackId: string): Promise<Stack>;
export declare function publish(stackId: string, id: string | null, provisioner: string, content: string | null, archivePath: string | null, message: string): Promise<any>;
export declare function waitTask(taskUrl: string): Promise<string>;
declare const stack: {
    info: typeof info;
    publish: typeof publish;
    waitTask: typeof waitTask;
};
export default stack;
