"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const dotenv = require("dotenv");
dotenv.config();
const index_1 = __importDefault(require("../index"));
const client_id = process.env.CLIENT_ID || ''; // your clientId here
const secret_id = process.env.SECRET_ID || ''; // your secretId here
const courseId = 'd7fee75a4a26d1d1ea1de91b3bb8e072'; // your course here
const assignmentId = '5aa20de4744c10d1a2d4130608bc95f9'; // your assignment here
const studentId = '00112233-4455-6677-9995-81b80a402cbe';
const filePath = '1.zstd';
const main = () => __awaiter(void 0, void 0, void 0, function* () {
    try {
        index_1.default.v1.setDomain('test2-codio.com');
        yield index_1.default.v1.auth(client_id, secret_id);
        yield index_1.default.v1.course.downloadStudentAssignment(courseId, assignmentId, studentId, filePath);
    }
    catch (error) {
        if (error.json) {
            console.log(yield error.json());
        }
        else {
            console.log(error);
        }
    }
});
main();
