"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const dotenv = require("dotenv");
dotenv.config();
const index_1 = __importDefault(require("../index"));
const clientId = process.env.CLIENT_ID || ''; // your clientId here
const secretId = process.env.SECRET_ID || ''; // your secretId here
const courseId = '';
const main = () => __awaiter(void 0, void 0, void 0, function* () {
    try {
        const api = index_1.default.v1;
        api.setDomain('codio.test');
        const accessToken = yield api.auth(clientId, secretId);
        api.setAuthToken(accessToken);
        const resp1 = yield api.course.getSourceExports(courseId);
        console.log('resp1', resp1);
        const resp2 = yield api.course.getWorkExports(courseId);
        console.log('resp2', resp2);
        const resp3 = yield api.course.createSourceExport(courseId);
        console.log('resp3', resp3);
        const resp4 = yield api.course.createWorkExport(courseId);
        console.log('resp4', resp4);
    }
    catch (ex) {
        console.error(ex);
    }
});
main();
