"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const dotenv = require("dotenv");
dotenv.config();
const index_1 = __importDefault(require("../index"));
const client_id = process.env.CLIENT_ID || ''; // your clientId here
const secret_id = process.env.SECRET_ID || ''; // your secretId here
const courseName = 'course 1';
const courseId = 'e2842655b02e4620560fa753d8f5519a';
const main = () => __awaiter(void 0, void 0, void 0, function* () {
    try {
        index_1.default.v1.setDomain('test1-codio.com');
        const authRes = yield index_1.default.v1.auth(client_id, secret_id);
        console.log('authed', authRes);
        const courseInfo = yield index_1.default.v1.course.info(courseId);
        console.log('course by id', courseInfo);
        for (const unit of courseInfo.modules) {
            console.log('unit', unit.id, unit.name);
            for (const assignment of unit.assignments) {
                console.log('assignment', assignment.id, assignment.name);
            }
        }
        const courseInfoByName = yield index_1.default.v1.course.findByName(courseName, true);
        console.log('course by name', courseInfoByName);
        for (const unit of courseInfoByName.modules) {
            console.log('unit', unit.id, unit.name);
            for (const assignment of unit.assignments) {
                console.log('assignment', assignment.id, assignment.name);
            }
        }
    }
    catch (error) {
        if (error.json) {
            console.log(yield error.json());
        }
        else {
            console.log(error);
        }
    }
});
main();
