"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const dotenv = require("dotenv");
dotenv.config();
const index_1 = __importDefault(require("../index"));
const client_id = process.env.CLIENT_ID || ''; // your clientId here
const secret_id = process.env.SECRET_ID || ''; // your secretId here
const stackId = 'a66f9cf1-b2db-4923-a2e6-5164dda2e678';
// const stackId = '00112233-4455-6677-8899-aabbccddeeff'
// ANSIBLE or BASH
const provisioner = 'ansible';
const id = 'a66f9cf1-b2db-4923-a2e6-5164dda2e678';
// const id = 'c335de9e-4744-4f28-ba3b-0f6420e3e324'
// const test_id = 'not_exist'
// const content = null
const content = '#!/bin/bash\necho "content"\nls -al\nexit 0';
// const bundlePath = 'files/ruby.tar.gz'
const bundlePath = null;
const message = 'only content check';
const main = () => __awaiter(void 0, void 0, void 0, function* () {
    try {
        // oauth
        index_1.default.v1.setDomain('test2-codio.com');
        const accessToken = yield index_1.default.v1.auth(client_id, secret_id);
        console.log('accessToken', accessToken);
        // octopus
        const stack = yield index_1.default.v1.stack.info(stackId);
        console.log('got stack:', JSON.stringify(stack));
        const res = yield index_1.default.v1.stack.publish(stackId, id, provisioner, content, bundlePath, message);
        console.log('got publish task:', res);
        const taskUri = res.taskUri;
        console.log('taskUri', taskUri);
        const taskRes = yield index_1.default.v1.stack.waitTask(taskUri);
        console.log('taskRes', taskRes);
    }
    catch (error) {
        if (error.json) {
            console.log(yield error.json());
        }
        else {
            console.log(error);
        }
    }
});
main();
