export declare const v1: {
    setDomain: (_: string) => void;
    setAuthToken: (_: string) => void;
    auth: (clientId: string, secretId: string) => Promise<string>;
    tools: {
        reduce: typeof import("./lib/tools").reduce;
        mapToObject: typeof import("./lib/tools").mapToObject;
        createTar: typeof import("./lib/tools").createTar;
        secondsToDate: typeof import("./lib/tools").secondsToDate;
        readMetadataFile: typeof import("./lib/tools").readMetadataFile;
        getGuidesStructure: typeof import("./lib/tools").getGuidesStructure;
    };
    assignment: {
        publish: (courseId: string, assignmentId: string, projectPath: string, changelogOrOptions: string | {
            changelog: string;
            stack: string;
            withStackUpdate: boolean;
        }) => Promise<void>;
        publishArchive: (courseId: string, assignmentId: string, archivePath: string, changelogOrOptions: string | {
            changelog: string;
            stack: string;
            withStackUpdate: boolean;
        }) => Promise<void>;
        reducePublish: (courseId: string, srcDir: string, yamlDir: string, changelogOrOptions: string | {
            changelog: string;
            stack: string;
            withStackUpdate: boolean;
        }) => Promise<void>;
        updateSettings: typeof import("./lib/assignment").updateSettings;
        getSettings: typeof import("./lib/assignment").getSettings;
        updateStudentTimeExtension: typeof import("./lib/assignment").updateStudentTimeExtension;
    };
    assessment: {
        listLibraries: () => Promise<import("./lib/assessment").Library[]>;
        find: (libraryId: string, tags?: Map<any, any>) => Promise<import("./lib/assessmentsTypes").Assessment[]>;
        updateOrAdd: typeof import("./lib/assessment").updateOrAdd;
        fromCodioProject: (libraryId: string, path: string) => Promise<void>;
        publishAssessment: typeof import("./lib/assessment").publishAssessment;
    };
    course: {
        assignmentStudentsProgress: typeof import("./lib/course").assignmentStudentsProgress;
        info: typeof import("./lib/course").info;
        exportStudentAssignment: typeof import("./lib/course").exportStudentAssignment;
        downloadStudentAssignment: typeof import("./lib/course").downloadStudentAssignment;
        exportStudentCSV: typeof import("./lib/course").exportStudentCSV;
        exportAssignmentCSV: typeof import("./lib/course").exportAssignmentCSV;
        exportAssessmentData: typeof import("./lib/course").exportAssessmentData;
        downloadStudentCSV: typeof import("./lib/course").downloadStudentCSV;
        downloadAssignmentCSV: typeof import("./lib/course").downloadAssignmentCSV;
        downloadAssessmentData: typeof import("./lib/course").downloadAssessmentData;
        findByName: typeof import("./lib/course").findByName;
        getStudents: typeof import("./lib/course").getStudents;
        getTeachers: typeof import("./lib/course").getTeachers;
        getWorkExportProgress: typeof import("./lib/course").getWorkExportProgress;
        getWorkExports: typeof import("./lib/course").getWorkExports;
        createWorkExport: typeof import("./lib/course").createWorkExport;
        downloadWorkExport: typeof import("./lib/course").downloadWorkExport;
        getSourceExportProgress: typeof import("./lib/course").getSourceExportProgress;
        getSourceExports: typeof import("./lib/course").getSourceExports;
        createSourceExport: typeof import("./lib/course").createSourceExport;
        downloadSourceExport: typeof import("./lib/course").downloadSourceExport;
        studentCourseProgress: typeof import("./lib/course").studentCourseProgress;
        list: typeof import("./lib/course").list;
        archive: typeof import("./lib/course").archive;
        exportCoachData: typeof import("./lib/course").exportCoachData;
        exportLLMProxyData: typeof import("./lib/course").exportLLMProxyData;
    };
    stack: {
        info: typeof import("./lib/stack").info;
        publish: typeof import("./lib/stack").publish;
        waitTask: typeof import("./lib/stack").waitTask;
    };
    events: {
        loadAllEvents: typeof import("./lib/events").loadAllEvents;
        loadEvents: typeof import("./lib/events").loadEvents;
    };
};
