"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.v1 = void 0;
const config_1 = __importDefault(require("./lib/config"));
const auth_1 = require("./lib/auth");
const tools_1 = __importDefault(require("./lib/tools"));
const assignment_1 = __importDefault(require("./lib/assignment"));
const assessment_1 = __importDefault(require("./lib/assessment"));
const course_1 = __importDefault(require("./lib/course"));
const stack_1 = __importDefault(require("./lib/stack"));
const events_1 = __importDefault(require("./lib/events"));
exports.v1 = {
    setDomain: (_) => config_1.default.setDomain(_),
    setAuthToken: (_) => config_1.default.setToken(_),
    auth: (clientId, secretId) => __awaiter(void 0, void 0, void 0, function* () {
        const token = yield (0, auth_1.auth)(clientId, secretId, config_1.default.getDomain());
        exports.v1.setAuthToken(token);
        return token;
    }),
    tools: tools_1.default,
    assignment: assignment_1.default,
    assessment: assessment_1.default,
    course: course_1.default,
    stack: stack_1.default,
    events: events_1.default
};
